Skip to main content
POST
/
v1
/
preview
/
models
/
{model_id}
/
log
Log
curl --request POST \
  --url https://api.training.wandb.ai/v1/preview/models/{model_id}/log \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "split": "<string>",
  "trajectory_groups": [
    {
      "trajectories": [
        {
          "messages_and_choices": [],
          "tools": [
            {
              "function": {
                "name": "<string>",
                "description": "<string>",
                "parameters": {},
                "strict": true
              },
              "type": "<string>"
            }
          ],
          "additional_histories": [],
          "reward": 0,
          "initial_policy_version": 123,
          "final_policy_version": 123,
          "metrics": {},
          "metadata": {},
          "logs": [],
          "start_time": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ]
}
'
import requests

url = "https://api.training.wandb.ai/v1/preview/models/{model_id}/log"

payload = {
    "split": "<string>",
    "trajectory_groups": [{ "trajectories": [
                {
                    "messages_and_choices": [],
                    "tools": [
                        {
                            "function": {
                                "name": "<string>",
                                "description": "<string>",
                                "parameters": {},
                                "strict": True
                            },
                            "type": "<string>"
                        }
                    ],
                    "additional_histories": [],
                    "reward": 0,
                    "initial_policy_version": 123,
                    "final_policy_version": 123,
                    "metrics": {},
                    "metadata": {},
                    "logs": [],
                    "start_time": "2023-11-07T05:31:56Z"
                }
            ] }]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    split: '<string>',
    trajectory_groups: [
      {
        trajectories: [
          {
            messages_and_choices: [],
            tools: [
              {
                function: {name: '<string>', description: '<string>', parameters: {}, strict: true},
                type: '<string>'
              }
            ],
            additional_histories: [],
            reward: 0,
            initial_policy_version: 123,
            final_policy_version: 123,
            metrics: {},
            metadata: {},
            logs: [],
            start_time: '2023-11-07T05:31:56Z'
          }
        ]
      }
    ]
  })
};

fetch('https://api.training.wandb.ai/v1/preview/models/{model_id}/log', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

model_id
string
required

Body

application/json

Schema for logging trajectories.

split
string
required
trajectory_groups
TrajectoryGroup · object[]
required

Response

Successful Response